Bug 143104 - Color filter by text color lost (XLSX)
Summary: Color filter by text color lost (XLSX)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.2.0.0 alpha1+
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:7.3.0 target:7.2.3
Keywords:
Depends on:
Blocks: AutoFilter-Color
  Show dependency treegraph
 
Reported: 2021-06-28 13:03 UTC by Samuel Mehrbrodt (allotropia)
Modified: 2022-06-23 12:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Bugdoc (10.50 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-06-28 13:03 UTC, Samuel Mehrbrodt (allotropia)
Details
The example file and its LO-saved version reopened in Excel (90.44 KB, image/png)
2021-09-28 09:07 UTC, NISZ LibreOffice Team
Details
The example file in Calc and its exported version in Excel (165.45 KB, image/png)
2021-09-28 09:55 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (allotropia) 2021-06-28 13:03:25 UTC
Created attachment 173243 [details]
Bugdoc

Text color filter not imported/exported properly.
Comment 1 Samuel Mehrbrodt (allotropia) 2021-06-28 13:04:09 UTC
WIP Patch up at https://gerrit.libreoffice.org/c/core/+/116648
Comment 2 Regina Henschel 2021-08-22 16:03:58 UTC
(In reply to Samuel Mehrbrodt (allotropia) from comment #0)
> Created attachment 173243 [details]
> Bugdoc
> 
> Text color filter not imported/exported properly.

Could you please describe in more details, what is wrong.
Comment 3 NISZ LibreOffice Team 2021-09-28 09:07:30 UTC
Created attachment 175306 [details]
The example file and its LO-saved version reopened in Excel

In column B there is a filtering defined for blue font color.

This color is not highlighted in the autofilters Text color menu when opened in Calc, and upon saving it and reopening in Excel it complains about invalid content in the file. Restoring the file removes the autofilter from /xl/tables/table1.xml as pictured.

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: e9b674a768fcf534335f172664aaf13dc2c79023
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

(This is nightly from 6 days ago. The gerrit from comment #1 was merged since, although for the original feature bug 76258.)
Comment 4 NISZ LibreOffice Team 2021-09-28 09:55:58 UTC
Created attachment 175309 [details]
The example file in Calc and its exported version in Excel

It's better in:

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: b60b6bfaafa1315e07108dba50f016975b619c59
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Now the import as seen in the Standard Filter dialog is (still) seen as Text color - No fill instead of blue.

The exported version is not invalid according to Excel anymore, but the condition is changed from Text color to Background color + No fill.

There is still work to do both in the import and the export.
Comment 5 Commit Notification 2021-10-01 12:01:42 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6f908b48373b71d45c8119b296b0504fb586f6f8

tdf#143104 Fix xlsx import/export of color filter colors

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Samuel Mehrbrodt (allotropia) 2021-10-04 07:32:33 UTC
Works, thx!
Comment 7 Commit Notification 2021-10-04 07:49:02 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/eab60b2663596220cc4d33676524adebc8349a89

tdf#143104 Fix xlsx import/export of color filter colors

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.